#
# spec file for package yast2-slp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-slp
Version:        4.1.1
Release:        lp152.1.4

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  openslp-devel
BuildRequires:  perl-XML-Writer
BuildRequires:  yast2
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
%if 0%{?suse_version} < 1220
BuildRequires:  libxcrypt-devel
%endif
Requires:       openslp
Requires:       yast2
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - SLP Agent and Library
License:        GPL-2.0-or-later
Group:          System/YaST
Url:            https://github.com/yast/yast-slp

%description
This package provides YaST modules to lookup/advertise services with SLP.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%{yast_scrconfdir}/*.scr
%{yast_plugindir}/libpy2ag_slp.so.*
%{yast_plugindir}/libpy2ag_slp.so
%{yast_plugindir}/libpy2ag_slp.la
%{yast_moduledir}/SLP.rb
%{yast_moduledir}/SlpService.rb
%dir %{yast_libdir}/slp
%dir %{yast_libdir}/slp/dialogs
%{yast_libdir}/slp/dialogs/*
%doc %{yast_docdir}
%license COPYING

%changelog
* Mon Aug 26 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.1.1
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Mon Oct 10 2016 cwh@suse.com
- Changed text domain to 'slp' (bsc#1004050)
- 3.1.11
* Thu Sep  1 2016 lslezak@suse.cz
- Align left the labels in the SLP service popup, unify it with the
  other popup dialogs in YaST (bsc#996846)
- 3.1.10
* Mon Jul 25 2016 igonzalezsosa@suse.com
- Add a ServiceSelectionDialog to be used by others YaST2 modules
  (related to fate#319716)
- 3.1.9
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.8
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.7
* Wed Apr 16 2014 vmoravec@suse.com
- Correct summary and description in spec file (bnc#868453)
- 3.1.6
* Mon Mar 10 2014 vmoravec@suse.com
- Fix dns resolution exception (bnc#867357)
- 3.1.5
* Fri Feb 21 2014 mls@suse.de
- Adapt to openslp-2.0.0
- 3.1.4
* Fri Feb  7 2014 vmoravec@suse.com
- Improve protocol resolution
- 3.1.3
* Fri Jan 31 2014 vmoravec@suse.com
- Add SlpService module (fate#316384)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Sep 11 2013 jsuchome@suse.cz
- revert part of previous change: drop only UI parts, not Ruby API
- 3.0.2
* Wed Sep  4 2013 jsuchome@suse.cz
- drop YCP UI parts (fate#316195)
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Feb 14 2013 jsuchome@suse.cz
- check the return value of error handling function
- 2.23.0
* Tue Apr 10 2012 jsuchome@suse.cz
- 2.22.0
* Tue Apr 10 2012 tgoettlicher@suse.de
- BuildRequire libxcrypt-devel only for < 12.2
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Oct  4 2011 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Sun Jul 24 2011 andrea.turrini@gmail.com
- Fixed typo in description of yast2-slp.spec
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Apr 14 2008 jsuchome@suse.cz
- 2.16.0
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Feb 27 2008 lslezak@suse.cz
- configure.in.in - added check for slp.h (report missing
  openslp-devel package when compiling from SVN)
* Fri Aug 10 2007 jsuchome@suse.cz
- new version for new product
- 2.15.0
* Mon Nov 20 2006 jsuchome@suse.cz
- adapted to new API of SLPGetPeer (#222611)
- 2.14.1
* Mon Nov  6 2006 jsuchome@suse.cz
- new version for new package
- 2.14.0
* Fri Sep 22 2006 jsuchome@suse.cz
- use dlsym to check if SLPGetPeer is available (F300619, cont.)
- 2.13.3
* Wed Sep 13 2006 jsuchome@suse.cz
- added support for unicast queries and peerinfo (F300619)
- 2.13.2
* Mon Feb 20 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.1
* Fri Dec  2 2005 jsuchome@suse.cz
- updated for current devtools
- 2.13.0
* Wed Aug 10 2005 jsuchome@suse.cz
- 2.12.0
* Fri Sep 17 2004 nashif@suse.de
- Fixed function comments
- Removed desktop file. slp browser is just a test script for the
  SLP agent. (#
* Mon Jun  7 2004 nashif@suse.de
- Fixed attribute summary when showing list attributes (#41707)
- 2.9.11
* Mon Apr 26 2004 nashif@suse.de
- abort on close window event (#39370)
- 2.9.10
* Tue Apr  6 2004 nashif@suse.de
- Fixed splitting of returns attribute string (#38525)
- 2.9.9
* Tue Apr  6 2004 nashif@suse.de
- Fixed tree widget in ncurses mode (#38493)
- 2.9.8
* Sat Apr  3 2004 nashif@suse.de
- Use new tree wizard (#37581)
- Version 2.9.7
* Fri Apr  2 2004 nashif@suse.de
- License changed to GPL
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Fri Mar 12 2004 nashif@suse.de
- Adapt to new wizard, use generic wizard now
- added desktop file
- 2.9.5
* Sun Mar  7 2004 nashif@suse.de
- New function to match a service type and return all relevant data
- 2.9.4
* Fri Mar  5 2004 nashif@suse.de
- stricter types
- 2.9.3
* Wed Feb 25 2004 nashif@suse.de
- Add function to register services via /etc/slp.reg.d
- 2.9.2
* Tue Feb 24 2004 nashif@suse.de
- Added some caching,
- fixed showing attributes
- 2.9.1
* Sun Feb  8 2004 nashif@suse.de
- Initial version
